enum graphics_errors {      /* graphresult error return codes */
    grOk           =   0,
};

enum graphics_drivers {     /* define graphics drivers */
    EGA
};

enum graphics_modes {       /* graphics modes for each driver */
    EGAHI
};

enum COLORS {
    BLACK,
    BLUE,
    GREEN,
    CYAN,
    RED,
    MAGENTA,
    BROWN,
    LIGHTGRAY,
    DARKGRAY,
    LIGHTBLUE,
    LIGHTGREEN,
    LIGHTCYAN,
    LIGHTRED,
    LIGHTMAGENTA,
    YELLOW,
    WHITE
};

enum fill_patterns {        /* Fill patterns for get/setfillstyle */
    SOLID_FILL
};

void bar(int left, int top, int right, int bottom);
void cleardevice(void);
void fillpoly(int numpoints, const int  *polypoints);
int  graphresult(void);
void initgraph(int *graphdriver, int *graphmode, const char *pathtodriver);
void line(int x1, int y1, int x2, int y2);
void setcolor(int color);
void setfillstyle(int pattern, int color);
void setactivepage(int page);
void setvisualpage(int page);
void outtextxy(int x, int y, const char  *textstring);
void setbkcolor(int color);
