/*
**  JOYSTICK.H
**
**  Joystick support functions
**
**  Public domain demo by Bob Stout
*/

typedef enum {
	JOY_ERROR = -1, JOY_FALSE, JOY_TRUE
}		LOGICAL;

#define BOOL(x) (!(!(x)))
#define SUCCESS 0

struct joystick {
	LOGICAL 	switch_0;
	LOGICAL 	switch_1;
	LOGICAL 	switch_2;
	LOGICAL 	switch_3;

	int		pos_Ax;
	int		pos_Ay;
	int		pos_Bx;
	int		pos_By;
};

LOGICAL 	read_joystick(void);
void init_joystick (void);
  /* Call this first, unless you want the raw stick values */

